{
"id": "flow-1",
"name": "My first flow",
"status": "DRAFT",
"categories": [
"SIGN_UP"
],
"whatsappBusinessAccount": {
"id": "463056733559090",
"name": "Waba - Name",
"currency": "EUR"
},
"validationErrors": [
{
"error": "INVALID_PROPERTY_VALUE",
"errorType": "FLOW_JSON_ERROR",
"message": "Invalid value found for property 'type'.",
"lineStart": 10,
"lineEnd": 10,
"columnStart": 21,
"columnEnd": 34,
"pointers": [
{
"lineStart": 10,
"lineEnd": 10,
"columnStart": 21,
"columnEnd": 34,
"path": "screens[0].layout.children[0].type"
}
]
}
],
"jsonVersion": "3.0",
"dataApiVersion": "3.0",
"endpointUri": "https://example.com/flow-endpoint"
}WhatsApp Flows
Retrieve a flow
Retrieves a WhatsApp Flow’s details.
GET
https://api.ycloud.com/v2
/
whatsapp
/
flows
/
{flowId}
{
"id": "flow-1",
"name": "My first flow",
"status": "DRAFT",
"categories": [
"SIGN_UP"
],
"whatsappBusinessAccount": {
"id": "463056733559090",
"name": "Waba - Name",
"currency": "EUR"
},
"validationErrors": [
{
"error": "INVALID_PROPERTY_VALUE",
"errorType": "FLOW_JSON_ERROR",
"message": "Invalid value found for property 'type'.",
"lineStart": 10,
"lineEnd": 10,
"columnStart": 21,
"columnEnd": 34,
"pointers": [
{
"lineStart": 10,
"lineEnd": 10,
"columnStart": 21,
"columnEnd": 34,
"path": "screens[0].layout.children[0].type"
}
]
}
],
"jsonVersion": "3.0",
"dataApiVersion": "3.0",
"endpointUri": "https://example.com/flow-endpoint"
}Response
200 - application/json
Successfully retrieved the flow.
Represents a WhatsApp Flow.
Flow categories.
Category of the WhatsApp Flow.
SIGN_UP: For sign-up processes.SIGN_IN: For sign-in processes.APPOINTMENT_BOOKING: For booking appointments.LEAD_GENERATION: For lead generation.CONTACT_US: For contact forms.CUSTOMER_SUPPORT: For customer support.SURVEY: For surveys.OTHER: For other purposes.
Available options:
SIGN_UP, SIGN_IN, APPOINTMENT_BOOKING, LEAD_GENERATION, CONTACT_US, CUSTOMER_SUPPORT, SURVEY, OTHER 
